OpenSUSE 42.3/Package selection

From Hyperweb & OpenSim
Jump to: search

Package selection with Yast

Attention! OpenSuse 42.3 contains the Mono version 4.6. Up to OpenSim 0.8.2 upgrades may not exceed to Mono 4.0.x. OpenSim 0.9.x, OpenSim (Metro) 0.8.3 and OpenSim Arriba can be executed also with Mono 4.6.x and thereby with OpenSuse 42.3, older OpenSim versions not!

If the provider offers a "minimal" default installation of "OpenSuse 42.3", this can be taken as base system. Further package deinstallation is not necessary. With Yast, also OpenSuse offers a base system in the package management: "Filter -> Patterns", then choose both "Base System" and "Yast System Administration".

Integrate Package Repositories in Yast

Menu "Software -> Software Repositories". The dialog "Configured Software Repositories" shows up. If the provider has preconfigured other entries, you can delete them. Later, with closed FTP ports, repositories will not be accessible over FTP anyways. After that set up the following repositories:

http://download.opensuse.org/distribution/leap/42.3/repo/oss/ (Priority 99)
http://download.opensuse.org/distribution/leap/42.3/repo/non-oss/ (Priority 100)
http://download.opensuse.org/update/leap/42.3/oss/ (Priority 20)
http://download.opensuse.org/update/leap/42.3/non-oss/ (Priority 21)

Install Software Packages

It is recommended to perform an online update of the operating system first.

Now select menu "Software -> Software Management" to open the package administration. Next install the following packages:

=> mariadb
=> mono-complete
=> tmux

=> nginx (only necessary for webserver)
=> php7-fpm (only necessary for webserver with PHP-CGI scripts)
=> php7-mysql (only necessary for webserver with SQL connected over PHP, for example CMS, blogs or forums)

By this selection, many other dependent packages are also being installed.



Continued: Time and language configuration